import { computed } from 'vue';
import { useProjectSettingStore } from '@/store/modules/projectSetting';

export function useProjectSetting() {
  const projectStore = useProjectSettingStore();

  const getNavMode = computed(() => projectStore.navMode);

  const getNavTheme = computed(() => projectStore.navTheme);

  const getHeaderSetting = computed(() => projectStore.headerSetting);

  const getBodySetting = computed(() => projectStore.bodySetting);

  const getMultiTabsSetting = computed(() => projectStore.multiTabsSetting);

  const getMenuSetting = computed(() => projectStore.menuSetting);

  const getCollapsedNav = computed(() => projectStore.menuSetting.collapsed);

  const getCrumbsSetting = computed(() => projectStore.crumbsSetting);

  const getPermissionMode = computed(() => projectStore.permissionMode);

  const getShowFooter = computed(() => projectStore.showFooter);

  const getIsPageAnimate = computed(() => projectStore.isPageAnimate);

  const getIsWaterMark = computed(() => projectStore.isWaterMark);

  const getPageAnimateType = computed(() => projectStore.pageAnimateType);

  const getIsProjectSetting = computed(() => projectStore.isProjectSetting);

  return {
    getNavMode,
    getNavTheme,
    getHeaderSetting,
    getBodySetting,
    getMultiTabsSetting,
    getMenuSetting,
    getCrumbsSetting,
    getPermissionMode,
    getCollapsedNav,
    getShowFooter,
    getIsPageAnimate,
    getIsWaterMark,
    getPageAnimateType,
    getIsProjectSetting,
  };
}
